SSL_CTX_SET_TMP_ECDH(3)

NAME
SSL_CTX_set_tmp_ecdh, SSL_set_tmp_ecdh, SSL_CTX_set_ecdh_auto, SSL_set_ecdh_auto - handle ECDH keys for ephemeral key exchange

SYNOPSIS
 #include <openssl/ssl.h>

 long SSL_CTX_set_tmp_ecdh(SSL_CTX *ctx, const EC_KEY *ecdh);
 long SSL_set_tmp_ecdh(SSL *ssl, const EC_KEY *ecdh);

 long SSL_CTX_set_ecdh_auto(SSL_CTX *ctx, int state);
 long SSL_set_ecdh_auto(SSL *ssl, int state);

DESCRIPTION
SSL_CTX_set_tmp_ecdh() sets ECDH parameters to be used to be ecdh. The key is inherited by all ssl objects created from ctx. This macro is deprecated in favor of SSL_CTX_set1_groups(3).

SSL_set_tmp_ecdh() sets the parameters only for ssl. This macro is deprecated in favor of SSL_set1_groups(3).

SSL_CTX_set_ecdh_auto() and SSL_set_ecdh_auto() are deprecated and have no effect.

RETURN VALUES
SSL_CTX_set_tmp_ecdh() and SSL_set_tmp_ecdh() return 1 on success and 0 on failure.

SEE ALSO
ssl(7), SSL_CTX_set1_curves(3), SSL_CTX_set_cipher_list(3), SSL_CTX_set_options(3), SSL_CTX_set_tmp_dh_callback(3), openssl-ciphers(1), openssl-ecparam(1)

COPYRIGHT
Copyright 2018 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at <https://www.openssl.org/source/license.html>.